Robotsystem of the Robot Group Leipzig: SchlangeVelocity Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SchlangeVelocity Class Reference

This is a class, which models a snake like robot. More...

`#include <schlangevelocity.h>`

Inherits Schlange.

Inheritance diagram for SchlangeVelocity:

[legend]
Collaboration diagram for SchlangeVelocity:

[legend]
List of all members.

## Public Member Functions
| SchlangeVelocity (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const SchlangeConf &conf, const std::string &name)
virtual | ~SchlangeVelocity ()
virtual void | setMotors (const motor *motors, int motornumber)
| Reads the actual motor commands from an array, and sets all motors (forces) of the snake to this values.
virtual int | getSensors (sensor *sensors, int sensornumber)
| Writes the sensor values to an array in the memory.
virtual int | getSensorNumber ()
| returns number of sensors
virtual int | getMotorNumber ()
| returns number of motors
## Static Public Member Functions
static SchlangeConf | getDefaultConf ()

## Detailed Description

This is a class, which models a snake like robot.

It consists of a number of equal elements, each linked by a joint powered by directly setting the angular velocities of the joints

## Constructor & Destructor Documentation

SchlangeVelocity | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const SchlangeConf & | conf,
|  | const std::string & | name |
| ) |  |  |

~SchlangeVelocity | ( |  | ) | `[virtual]`

## Member Function Documentation

static SchlangeConf getDefaultConf | ( |  | ) | `[inline, static]`

Reimplemented from Schlange.

virtual int getMotorNumber | ( |  | ) | `[inline, virtual]`

returns number of motors

Implements Schlange.

virtual int getSensorNumber | ( |  | ) | `[inline, virtual]`

returns number of sensors

Implements Schlange.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[virtual]`

Writes the sensor values to an array in the memory.

Parameters:

  | sensors | pointer to the array
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Implements Schlange.

void setMotors | ( | const motor * | motors,
|  | int | motornumber |
| ) |  |  | `[virtual]`

Reads the actual motor commands from an array, and sets all motors (forces) of the snake to this values.

It is an linear allocation.

Parameters:

  | motors | pointer to the array, motor values are scaled to [-1,1]
  | motornumber | length of the motor array

Implements Schlange.

The documentation for this class was generated from the following files:

- schlangevelocity.h
- schlangevelocity.cpp